org.red5.server.net.servlet

## Class StatisticsServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.apache.xmlrpc.webserver.XmlRpcServlet
      - - org.red5.server.net.servlet.StatisticsServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class StatisticsServlet
    extends org.apache.xmlrpc.webserver.XmlRpcServlet

Servlet that processes the statistics XML-RPC requests.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)
See Also:
  Serialized Form

### Field Summary

Fields
`protected org.springframework.web.context.WebApplicationContext` `webAppCtx`
`protected IContext` `webContext`

### Constructor Summary

Constructors
Constructor and Description
`StatisticsServlet()`

### Method Summary

Methods
`IContext` `getContext()`
`void` `init()`
`protected org.apache.xmlrpc.server.PropertyHandlerMapping` `newPropertyHandlerMapping(URL url)`

### Methods inherited from class org.apache.xmlrpc.webserver.XmlRpcServlet

`doPost, getAuthenticationHandler, getRequestProcessorFactoryFactory, getTypeConverterFactory, getXmlRpcServletServer, init, log, log, newXmlRpcHandlerMapping, newXmlRpcServer, setAuthenticationHandler, setRequestProcessorFactoryFactory, setTypeConverterFactory`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### webAppCtx

    protected transient org.springframework.web.context.WebApplicationContext webAppCtx

#### webContext

    protected transient IContext webContext

### Constructor Detail

#### StatisticsServlet

    public StatisticsServlet()

### Method Detail

#### init

    public void init()
              throws javax.servlet.ServletException

Overrides:
  `init` in class `javax.servlet.GenericServlet`
Throws:
  `javax.servlet.ServletException`

#### getContext

    public IContext getContext()

#### newPropertyHandlerMapping

    protected org.apache.xmlrpc.server.PropertyHandlerMapping newPropertyHandlerMapping(URL url)
                                                                                 throws IOException,
                                                                                        org.apache.xmlrpc.XmlRpcException

Overrides:
  `newPropertyHandlerMapping` in class `org.apache.xmlrpc.webserver.XmlRpcServlet`
Throws:
  `IOException`
  `org.apache.xmlrpc.XmlRpcException`